Bug 398719

Summary: Text is not visible while dragged
Product: [Applications] kate Reporter: Patrick Silva <bugseforuns>
Component: generalAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: cullmann, nate
Priority: NOR Keywords: usability
Version: 19.04.2   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In: 5.78

Description Patrick Silva 2018-09-16 13:52:34 UTC
open some txt file with kate
select text and drag it
Result: selected text is not moved together cursor
Comment 1 Nate Graham 2018-09-18 20:42:52 UTC
Confirmed with git master too.
Comment 2 Christoph Feck 2018-10-04 20:53:43 UTC
At least it is consistent with QTextEdit. Not sure if this should be limited to a certain amount of text. I like Dolphins resizing+limiting when dragging too many icons.
Comment 3 Christoph Cullmann 2019-08-24 20:48:31 UTC
Patches welcome to have this feature.
Comment 4 Bug Janitor Service 2020-12-28 11:46:04 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/ktexteditor/-/merge_requests/54
Comment 5 Waqar Ahmed 2020-12-29 17:16:08 UTC
Git commit a8ec3bece451aa4aeefdfe5ed2b6cf7ac1822bce by Waqar Ahmed.
Committed on 28/12/2020 at 11:33.
Pushed by cullmann into branch 'master'.

Show the dragged text when dragging

M  +13   -1    src/view/kateviewinternal.cpp

https://invent.kde.org/frameworks/ktexteditor/commit/a8ec3bece451aa4aeefdfe5ed2b6cf7ac1822bce